Main Page Widgets glibmm Namespaces Book

# Gio::Vfs Class Reference

Entry point for using GIO functionality. More...

Inheritance diagram for Gio::Vfs:

[legend]
List of all members.

## Public Member Functions
virtual | ~Vfs ()
GVfs* | gobj ()
| Provides access to the underlying C GObject.
const GVfs* | gobj () const
| Provides access to the underlying C GObject.
GVfs* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr<File> | file_for_path (const std::string& path)
| Gets a File for path.
Glib::RefPtr<File> | file_for_uri (const std::string& uri)
| Gets a File for uri.
Glib::RefPtr<File> | parse_name (const std::string& parse_name)
| This operation never fails, but the returned object might not support any I/O operations if the parse_name cannot be parsed by the Vfs module.
bool | is_active ()
| Checks if the VFS is active.
## Static Public Member Functions
static Glib::RefPtr<Vfs> | get_default ()
| Gets the default Vfs for the system.
static Glib::RefPtr<Vfs> | get_local ()
| Gets the local Vfs for the system.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gio::Vfs> | wrap (GVfs* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Entry point for using GIO functionality.

Since glibmm 2.16:

## Constructor & Destructor Documentation

virtual Gio::Vfs::~Vfs | ( |  | ) | `[virtual]`

## Member Function Documentation

GVfs* Gio::Vfs::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GVfs* Gio::Vfs::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GVfs* Gio::Vfs::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

static Glib::RefPtr<Vfs> Gio::Vfs::get_default | ( |  | ) | `[static]`

Gets the default Vfs for the system.

Returns:
  A Vfs.

static Glib::RefPtr<Vfs> Gio::Vfs::get_local | ( |  | ) | `[static]`

Gets the local Vfs for the system.

Returns:
  A Vfs.

Glib::RefPtr<File> Gio::Vfs::file_for_path | ( | const std::string & | path | ) |

Gets a File for path.

Parameters:

  | path | A string containing a VFS path.

Returns:
  A File.

Glib::RefPtr<File> Gio::Vfs::file_for_uri | ( | const std::string & | uri | ) |

Gets a File for uri.

This operation never fails, but the returned object might not support any I/O operation if the uri is malformed or if the uri type is not supported.

Parameters:

  | uri | A string containing a URI path.

Returns:
  A File.

Glib::RefPtr<File> Gio::Vfs::parse_name | ( | const std::string & | parse_name | ) |

This operation never fails, but the returned object might not support any I/O operations if the parse_name cannot be parsed by the Vfs module.

Parameters:

  | parse_name | A string to be parsed by the VFS module.

Returns:
  A File for the given parse_name.

bool Gio::Vfs::is_active | ( |  | ) |

Checks if the VFS is active.

Returns:
  `true` if construction of the vfs was successful and it is now active.

## Friends And Related Function Documentation

Glib::RefPtr<Gio::Vfs> wrap | ( | GVfs * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- vfs.h